//
//  OTREpisode.m
//  OldTimeRadio
//
//  Created by Brian Moakley on 5/28/14.
//  Copyright (c) 2014 Razeware. All rights reserved.
//

#import "OTREpisode.h"

@implementation OTREpisode

-(id)initWithCoder:(NSCoder *)aDecoder
{
    self = [super init];
    if (self)
    {
        _title = [aDecoder decodeObjectForKey:@"episodeTitle"];
        _parentShow = [aDecoder decodeObjectForKey:@"episodeParentShow"];
        _broadcastDate = [aDecoder decodeObjectForKey:@"episodeBroadcastData"];
        _fileLocation = [aDecoder decodeObjectForKey:@"episodeFileLocation"];
        _favorite = [aDecoder decodeObjectForKey:@"episodeFavorite"];
        _episodeId = [aDecoder decodeIntegerForKey:@"episodeId"];
    }
    return self;
}

-(void) encodeWithCoder:(NSCoder *)aCoder
{
    [aCoder encodeObject:self.title forKey:@"episodeTitle"];
    [aCoder encodeObject:self.parentShow forKey:@"episodeParentShow"];
    [aCoder encodeObject:self.broadcastDate forKey:@"episodeBroadcastDate"];
    [aCoder encodeObject:self.fileLocation forKey:@"episodeFileLocation"];
    [aCoder encodeConditionalObject:self.favorite forKey:@"episodeFavorite"];
    [aCoder encodeInteger:self.episodeId forKey:@"episodeId"];
}

-(NSString *) description
{
    return [NSString stringWithFormat:@"Episode: %@", self.title];
}

@end
