//
//  OTRFavorite.m
//  OldTimeRadio
//
//  Created by Brian Moakley on 5/28/14.
//  Copyright (c) 2014 Razeware. All rights reserved.
//

#import "OTRFavorite.h"
#import "OTREpisode.h"

@implementation OTRFavorite

-(id)initWithCoder:(NSCoder *)aDecoder
{
    self = [super init];
    if (self)
    {
        _episode = [aDecoder decodeObjectForKey:@"favoriteEpisode"];
        _favoriteDate = [aDecoder decodeObjectForKey:@"favoriteDate"];
        _note = [aDecoder decodeObjectForKey:@"favoriteNote"];
    }
    return self;
}

-(void) encodeWithCoder:(NSCoder *)aCoder
{
    [aCoder encodeObject:self.episode forKey:@"favoriteEpisode"];
    [aCoder encodeObject:self.favoriteDate forKey:@"favoriteDate"];
    [aCoder encodeObject:self.note forKey:@"favoriteNote"];
}

-(NSString *) description
{
    NSString * description;
    if (self.episode)
    {
        description = [NSString stringWithFormat:@"Favorite: %@", self.episode.title];
    }
    else
    {
        description = @"Favorite: Episode Deleted";
    }
    return description;
}

@end
